services:
    paybas.recenttopics.functions:
        class: paybas\recenttopics\core\recenttopics
        arguments:
            - '@auth'
            - '@cache'
            - '@config'
            - '@content.visibility'
            - '@dbal.conn'
            - '@dispatcher'
            - '@pagination'
            - '@request'
            - '@template'
            - '@user'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '@?part3.topicprefixes.functions'
            - '@?prefixed.manager'
    paybas.recenttopics.listener:
        class: paybas\recenttopics\event\listener
        arguments:
            - '@paybas.recenttopics.functions'
            - '@config'
            - '@request'
        tags:
            - { name: event.listener }
    paybas.recenttopics.ucp_listener:
        class: paybas\recenttopics\event\ucp_listener
        arguments:
            - '@auth'
            - '@config'
            - '@request'
            - '@template'
            - '@user'
        tags:
            - { name: event.listener }
